/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUT                           1       /* callback function: aboutPanel */
#define  ABOUT_PICTURE                   2
#define  ABOUT_TEXTMSG                   3
#define  ABOUT_TEXTMSG_2                 4
#define  ABOUT_TEXTMSG_3                 5
#define  ABOUT_PROGVER                   6
#define  ABOUT_TEXTMSG_7                 7
#define  ABOUT_LIBVER                    8
#define  ABOUT_TEXTMSG_4                 9
#define  ABOUT_TEXTMSG_5                 10
#define  ABOUT_TEXTMSG_6                 11

#define  DEMO                            2       /* callback function: mainPanel */
#define  DEMO_SELECT                     2       /* callback function: buttons */
#define  DEMO_SEND                       3       /* callback function: buttons */
#define  DEMO_CLRRCV                     4       /* callback function: buttons */
#define  DEMO_EXIT                       5       /* callback function: buttons */
#define  DEMO_PROGVER                    6
#define  DEMO_RCVMSGS                    7
#define  DEMO_LIBVER                     8
#define  DEMO_RID                        9
#define  DEMO_MORE                       10      /* callback function: buttons */
#define  DEMO_TID                        11
#define  DEMO_XMIT                       12
#define  DEMO_TEXTMSG_4                  13
#define  DEMO_DECORATION                 14
#define  DEMO_TEXTMSG                    15
#define  DEMO_TEXTMSG_2                  16
#define  DEMO_DECORATION_2               17
#define  DEMO_SN                         18
#define  DEMO_DNAME                      19
#define  DEMO_RPT                        20      /* callback function: buttons */
#define  DEMO_RATE                       21      /* callback function: buttons */
#define  DEMO_OUTLEN                     22
#define  DEMO_INLEN                      23
#define  DEMO_VID                        24
#define  DEMO_PID                        25

#define  LIST                            3
#define  LIST_OPEN                       2       /* callback function: listButtons */
#define  LIST_REFRESH                    3       /* callback function: listButtons */
#define  LIST_CLOSE                      4       /* callback function: listButtons */
#define  LIST_TABLE                      5
#define  LIST_TEXTMSG                    6


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2
#define  MENU_HELP_ABOUT                 3       /* callback function: menu */
#define  MENU_EXIT                       4       /* callback function: menu */


     /* Callback Prototypes: */ 

int  CVICALLBACK aboutPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK buttons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK listButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mainPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
